#****************************************************************************
#
#                   Copyright (c) 1993,96 by Florian Klmpfl
#
#****************************************************************************
# 
# makefile for FPKPascal
#
# Parameter:
#	-Ddebug 	erzeuge Debuggerinformationen
#	-Drealmode	der Realmode-Compiler wird zum bersetzen verwendet
#

!ifdef realmode
ppc=pp -b
!else
ppc=ppc386 -di386
!endif

!ifdef debug
compiler = $(ppc) -Sg -g -q- -l -q-
!else
compiler = $(ppc) -a -s- -Sg -OGa -l -q-
!endif

.pas.ppu:
        $(compiler) $<
	
pp386.exe : pp.pas asmgen.ppu globals.ppu symtable.ppu parser.ppu \
        scanner.ppu tree.ppu
        $(compiler) pp.pas
# -Ch16777216

        echo d | xcopy pp ppc386
        strip ppc386
        aout2exe ppc386
        del ppc386.

parser.ppu : parser.pas systems.ppu scanner.ppu globals.ppu symtable.ppu tree.ppu \
        cobjects.ppu asmgen.ppu i386.ppu codegen.ppu asmbl.ppu tempad.ppu types.ppu \
        opt.ppu pass_1.ppu
        
unitm.ppu : unitm.pas cobjects.ppu globals.ppu symtable.ppu systems.ppu

codegen.ppu : codegen.pas systems.ppu cobjects.ppu tree.ppu asmgen.ppu symtable.ppu \
        tempad.ppu types.ppu i386.ppu hcodegen.ppu pass_1.ppu

hcodegen.ppu : hcodegen.pas cobjects.ppu systems.ppu globals.ppu tree.ppu \
        asmgen.ppu symtable.ppu types.ppu i386.ppu

pass_1.ppu : pass_1.pas systems.ppu cobjects.ppu tree.ppu asmgen.ppu symtable.ppu \
        tempad.ppu types.ppu i386.ppu hcodegen.ppu

tempad.ppu : tempad.pas cobjects.ppu globals.ppu tree.ppu asmgen.ppu hcodegen.ppu

types.ppu : types.pas cobjects.ppu globals.ppu asmgen.ppu symtable.ppu \
        tree.ppu

asmbl.ppu : asmbl.pas globals.ppu scanner.ppu asmgen.ppu \
	codegen.ppu symtable.ppu

tree.ppu : tree.pas globals.ppu symtable.ppu cobjects.ppu asmgen.ppu

scanner.ppu : scanner.pas globals.ppu symtable.ppu cobjects.ppu

symtable.ppu : symtable.pas systems.ppu cobjects.ppu globals.ppu asmgen.ppu

opt.ppu : opt.pas cobjects.ppu globals.ppu asmgen.ppu

asmgen.ppu : asmgen.pas cobjects.ppu globals.ppu systems.ppu i386.ppu 

globals.ppu : globals.pas cobjects.ppu

cobjects.ppu : cobjects.pas

systems.ppu : systems.pas

i386.ppu : i386.pas
